@font-face {
    font-family: 'Untitled Sans';
    src: url('../WOFF2/untitled-sans-regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Untitled Sans';
    src:url('../WOFF2/untitled-sans-medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Untitled Sans';
    src: url('../WOFF2/untitled-sans-bold.woff2') format('woff2');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'Untitled Sans';
    src: url('../WOFF2/untitled-sans-italic.woff2') format('woff2');
    font-weight: 400;
    font-style: italic;
}

/*page*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Untitled Sans', sans-serif;
    background-color: #E8E6E0;
    min-height: 100vh;
    letter-spacing: -0.03em;
    overflow-x: hidden;
}

body a, a:visited {
    text-decoration: none;
    color: #000;
    font-weight: 500;
}

body a:hover {
    opacity: .6;
    cursor: pointer;
}

.page-container {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    padding: 10px;
    overflow-y: auto;
}

/*nav menu*/
header {
    display: flex;
    align-items: baseline;
    gap: 20px;
    font-size: 1.2em;
    z-index: 10;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    padding: 10px;
}

.site-title a{
    color: #000;
    text-decoration: none;
    font-weight: 400;
}

.site-title a:hover{
    color: #000;
    text-decoration: none;
    cursor: pointer;
    opacity: 0.6;
    font-family: 'Xanh Mono';
    letter-spacing: 0.1em;
}

.nav {
    display: flex;
    gap: 40px;
    font-weight: 500;
}

.nav a, .nav a:visited {
    color: #000;
    text-decoration: none;
}

.nav a:hover {
    opacity: 0.8;
    cursor: pointer;
    border-bottom: 2px solid #000;
}

/*footer links & timestamp*/
footer {
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    font-size: 14px;
    color: #1a1a1a;
    text-decoration: none;
    letter-spacing: 0.05em;
    z-index: 10;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
}

.footer-left {
    display: flex;
    gap: 30px;
    align-items: center;
}

.footer-right {
    display: flex;
    gap: 10px;
    padding: 0px 0px 2px 0px;
}

#news-link {
    color: #000;
    text-decoration: none;
    font-weight: 500;
    border-bottom: 2px solid transparent;
}

footer a {
    color: #000;
    text-decoration: none;
    font-weight: 500;
    border-bottom: 2px solid transparent;
}

footer a:hover {
    border-bottom: 2px solid #000;
    cursor: pointer;
}

main {
    flex: 1;
    z-index: 0;
    font-family: 'Untitled Sans';
    font-size: 1.1em;
}

.content-container {
    padding-top: 10%;
}

h2 {
    font-family: 'Xanh Mono', monospace;
    font-size: 2em;
    font-weight: 300;
    margin-top: 50px;
}

h3 {
    font-weight: 400;
    font-size: 1.3em;
    padding-top: 10px;
    letter-spacing: -0.05em;
}

p {
    padding-top: 10px;
}

#collab {
    width: 60%;
    margin: 0 auto;
}

#collab h2 img {
    height: 1em;
    width: auto;
    vertical-align: middle;
}

/*media queries*/
@media (max-width: 768px) {

    .page-container {
        padding: 0 10px 0 10px;
    }

    header {
        flex-direction: column;
        align-items: flex-start;
        gap: 8px;
        font-size: 1em;
    }

    .nav {
        width: 100%;
        justify-content: flex-start;
        gap: 20px;
    }

    footer {
        flex-direction: column;
        gap: 10px;
    }

    .footer-left {
        width: 100%;
        justify-content: flex-start;
        gap: 10px;
    }

    .footer-right {
        display: none;
    }

    .grid-container {
        flex-direction: column;
    }

    h2 {
        font-family: 'Xanh Mono', monospace;
        font-size: 1.8em;
        font-weight: 300;
        margin-top: 50px;
        line-height: 1.1em;
    }
    
    h3 {
        font-weight: 400;
        font-size: 1.2em;
        padding-top: 10px;
        letter-spacing: -0.05em;
    }
    
    p {
        padding-top: 10px;
    }
    
    #collab {
        width: 100%;
        margin: 0 auto;
    }

}
